const settings = window.wc.wcSettings.getSetting('bpay_data', {});
const label = window.wp.htmlEntities.decodeEntities(settings.title) || window.wp.i18n.__('BPay', 'bpay');
const Content = () => {
    return window.wp.htmlEntities.decodeEntities(settings.description || '');
};
const BPayPayment = {
    name: 'bpay',
    label: label,
    content: Object(window.wp.element.createElement)(Content, null),
    edit: Object(window.wp.element.createElement)(Content, null),
    canMakePayment: () => true,
    ariaLabel: label,
    supports: {
        features: settings.supports,
    },
};
window.wc.wcBlocksRegistry.registerPaymentMethod(BPayPayment);